"""
Project JSONL Handler
"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import ProjectSyncNode
from schemas.project.project_base import ProjectResponseBase


class ProjectJsonlHandler(BaseJsonlHandler):
    """项目 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "project", ProjectSyncNode, ProjectResponseBase)
